:root{
  --uicore-accent-color: #d6bfa2; /* cream coffee */
}



/* cursor container */
.ui-cursor {
  position: fixed;
  left: 0;
  top: 0;
  pointer-events: none;
  z-index: 999999;
}

/* main cursor */
.ui-cursor-main {
  width: var(--width, 42px);
  height: var(--height, 42px);
  transform:
    translate3d(
      calc(var(--x, 0px) - 50%),
      calc(var(--y, 0px) - 50%),
      0
    )
    scale(var(--scale, 1));
  border-radius: 50%;
  border: 2px solid var(--border, var(--uicore-accent-color));
  background: var(--bg, transparent);
  opacity: 1;
  mix-blend-mode: normal;

  transition:
    width .18s ease,
    height .18s ease,
    transform .12s ease,
    background .18s ease,
    border .18s ease,
    opacity .18s ease;
}
